Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Interface IORInfoOperations

All Known Subinterfaces:
  IORInfo

public interface IORInfoOperations

Interface definition : IORInfo

Author:
  OpenORB Compiler

Method Summary
`void` | `add_ior_component_to_profile(TaggedComponent component, int profile_id)` Operation add_ior_component_to_profile
`void` | `add_ior_component(TaggedComponent component)` Operation add_ior_component
`Policy` | `get_effective_policy(int type)` Operation get_effective_policy

Method Detail

### get_effective_policy

    public Policy get_effective_policy(int type)

  Operation get_effective_policy

### add_ior_component

    public void add_ior_component(TaggedComponent component)

  Operation add_ior_component

### add_ior_component_to_profile

    public void add_ior_component_to_profile(TaggedComponent component,
                                             int profile_id)

  Operation add_ior_component_to_profile

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD